Subject: Re: bug#11981: 24.1.50; url-http-parse-headers should not disable file name handlers since it breaks auth-source

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Jul 2012 04:55:54 -0400

>> However, this workaraound assumes that everything that gets afterwards
>> in the `let'-section does not depend on file name handlers. However,
>> this is not the case: `url-http-handle-authentication' is called which
>> in turn calls the auth-source package. This package however supports
>> encrypted authinfo files which have to be automatically decrypted
>> through `auto-encryption-mode'. This, of course, works through file name
>> handlers.
> Does it work, if Tramp is disabled instead?

I think I'd first like to better understand bug#6717: why do we take
a local part of a URL, let it start with / and then pass it to
file-name-directory?  That sounds like a problem in itself.

        Stefan